import { registerExtension } from 'vscode/extensions';

var manifest = {name:"microsoft-authentication",publisher:"vscode",license:"MIT",displayName:"%displayName%",description:"%description%",version:"0.0.1",engines:{vscode:"^1.42.0"},icon:"media/icon.png",categories:["Other"],activationEvents:[],enabledApiProposals:["idToken"],capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:true}},extensionKind:["ui","workspace"],contributes:{authentication:[{label:"Microsoft",id:"microsoft"},{label:"Microsoft Sovereign Cloud",id:"microsoft-sovereign-cloud"}],configuration:[{title:"Microsoft Sovereign Cloud",properties:{"microsoft-sovereign-cloud.environment":{type:"string",markdownDescription:"%microsoft-sovereign-cloud.environment.description%","enum":["ChinaCloud","USGovernment","custom"],enumDescriptions:["%microsoft-sovereign-cloud.environment.enumDescriptions.AzureChinaCloud%","%microsoft-sovereign-cloud.environment.enumDescriptions.AzureUSGovernment%","%microsoft-sovereign-cloud.environment.enumDescriptions.custom%"]},"microsoft-sovereign-cloud.customEnvironment":{type:"object",additionalProperties:true,markdownDescription:"%microsoft-sovereign-cloud.customEnvironment.description%",properties:{name:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.name.description%"},portalUrl:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.portalUrl.description%"},managementEndpointUrl:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.managementEndpointUrl.description%"},resourceManagerEndpointUrl:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.resourceManagerEndpointUrl.description%"},activeDirectoryEndpointUrl:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.activeDirectoryEndpointUrl.description%"},activeDirectoryResourceId:{type:"string",description:"%microsoft-sovereign-cloud.customEnvironment.activeDirectoryResourceId.description%"}},required:["name","portalUrl","managementEndpointUrl","resourceManagerEndpointUrl","activeDirectoryEndpointUrl","activeDirectoryResourceId"]}}}]},aiKey:"0c6ae279ed8443289764825290e4f9e2-1a736e7c-1324-4338-be46-fc2a58ae4d14-7255",main:undefined,browser:"./dist/browser/extension.js",repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md"});
registerFileUrl('README.md', new URL('./resources/README.md', import.meta.url).toString(), 'text/markdown');
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), 'application/json');
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), 'application/json');
registerFileUrl('media/auth.css', new URL('./resources/auth.css', import.meta.url).toString(), 'text/css');
registerFileUrl('media/favicon.ico', new URL('./resources/favicon.ico', import.meta.url).toString(), 'image/vnd.microsoft.icon');
registerFileUrl('media/icon.png', new URL('./resources/icon.png', import.meta.url).toString(), 'image/png');
registerFileUrl('media/index.html', new URL('./resources/index.html', import.meta.url).toString(), 'text/html');
registerFileUrl('dist/browser/extension.js', new URL('./resources/extension.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/extension', new URL('./resources/extension.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/extension.js.map', new URL('./resources/extension.js.map', import.meta.url).toString(), 'application/json');

export { whenReady };
